# Uses of Interface
org.eclipse.e4.ui.model.application.ui.basic.MPart

Packages that use MPart
Package
Description
org.eclipse.e4.ui.model.application.ui.basic
Application programming interfaces describing the basic Eclipse 4 user interface model elements.
org.eclipse.e4.ui.workbench.modeling
Application programming interfaces describing the Eclipse 4 model services.

## Uses of MPart in org.eclipse.e4.ui.model.application.ui.basic

Subinterfaces of MPart in org.eclipse.e4.ui.model.application.ui.basic
Modifier and Type
Interface
Description
`interface`
`MCompositePart`
A representation of the model object 'Composite Part'.
Methods in org.eclipse.e4.ui.model.application.ui.basic that return MPart
Modifier and Type
Method
Description
`MPart`
MBasicFactory.`createPart()`
Returns a new object of class 'Part'.

## Uses of MPart in org.eclipse.e4.ui.workbench.modeling

Methods in org.eclipse.e4.ui.workbench.modeling that return MPart
Modifier and Type
Method
Description
`MPart`
EModelService.`createPart(MPartDescriptor descriptor)`
Creates a new part from the given descriptor.
`MPart`
EPartService.`createPart(String partDescriptorId)`
Creates a new part of the given id.
`MPart`
EPartService.`findPart(String id)`
Finds and returns a part with the given id.
`MPart`
EPartService.`getActivePart()`
Returns the active part.
`MPart`
EPartService.`showPart(String id, EPartService.PartState partState)`
Shows a part with the identified by the given id.
`MPart`
EPartService.`showPart(MPart part, EPartService.PartState partState)`
Shows the given part.
Methods in org.eclipse.e4.ui.workbench.modeling that return types with arguments of type MPart
Modifier and Type
Method
Description
`Collection<MPart>`
EPartService.`getDirtyParts()`
Returns a collection of all the dirty parts that are being managed by this service.
`Collection<MPart>`
EPartService.`getParts()`
Returns a collection of all the parts that are being managed by this part service.
Methods in org.eclipse.e4.ui.workbench.modeling with parameters of type MPart
Modifier and Type
Method
Description
`void`
EPartService.`activate(MPart part)`
Activates the given part.
`void`
EPartService.`activate(MPart part, boolean requiresFocus)`
Activates the given part.
`void`
EPartService.`bringToTop(MPart part)`
Brings this part to the top so that it will become visible to the end user.
`void`
EPartService.`hidePart(MPart part)`
Hides the given part.
`void`
EPartService.`hidePart(MPart part, boolean force)`
Hides the given part.
`boolean`
EPartService.`isPartVisible(MPart part)`
Returns whether the specified part is currently visible to the end user.
`void`
IPartListener.`partActivated(MPart part)`
`void`
IPartListener.`partBroughtToTop(MPart part)`
`void`
IPartListener.`partDeactivated(MPart part)`
`void`
IPartListener.`partHidden(MPart part)`
`void`
IPartListener.`partVisible(MPart part)`
`ISaveHandler.Save`
ISaveHandler.`promptToSave(MPart dirtyPart)`
`boolean`
ISaveHandler.`save(MPart dirtyPart, boolean confirm)`
`boolean`
EPartService.`savePart(MPart part, boolean confirm)`
Saves the contents of the part if it is dirty and returns whether the operation completed.
`void`
ISelectionListener.`selectionChanged(MPart part, Object selection)`
`MPart`
EPartService.`showPart(MPart part, EPartService.PartState partState)`
Shows the given part.
Method parameters in org.eclipse.e4.ui.workbench.modeling with type arguments of type MPart
Modifier and Type
Method
Description
`ISaveHandler.Save[]`
ISaveHandler.`promptToSave(Collection<MPart> dirtyParts)`
`boolean`
ISaveHandler.`saveParts(Collection<MPart> dirtyParts, boolean confirm)`